#/******************************************************************************
#*                              __cmpsf2
#*******************************************************************************
#* Compare two floating point values
#*
#* Inputs:  [R1,R2] - 32-bit float
#*          [R3,R4] - 32-bit float
#*
#* Returns: -1 if A<B
#*           0 if A==B
#*           1 if A>B or if A or B is NAN
#*
#* Clobbers: None
#******************************************************************************/
  even
  def __cmpsf2
__cmpsf2:
  def __ltsf2
__ltsf2:
  def __lesf2
__lesf2:
  def __gtsf2
__gtsf2:
  def __gesf2
__gesf2:
  def __eqsf2
__eqsf2:
  def __nesf2
__nesf2:

  dect r10
  mov r11, *r10
  
  seto r0
  bl @__using_nan
  jeq cmp_gt
  bl @__ucomparesf
  jlt cmp_lt
  jeq cmp_eq
cmp_gt:            # If we jump here, return 1
  inc r0
cmp_eq:            # If we jump here, return 0
  inc r0
cmp_lt:            # If we jump here, return -1
  mov r0, r1

  mov *r10+, r11
  b *r11

