#/******************************************************************************
#*                              __unordsf2
#*******************************************************************************
#* Determine if either of two floating point values are NaN
#*
#* Inputs:  [R1,R2] - 32-bit float
#*          [R3,R4] - 32-bit float
#*
#* Returns: R1 - 1 if either value is NaN, 0 otherwise
#*
#* Clobbers: 0,1,2,11,12
#******************************************************************************/
  def __unordsf2
  even
__unordsf2:
  mov r11, r12
  bl @__using_nan
  jeq unord_end
  clr r1
  b *r12
unord_end:
  li r1, 1
  b *r12

