#/******************************************************************************
#*                              __using_nan
#*******************************************************************************
#* Determine if either of two floating point values are NaN
#*
#* Inputs:  [R1,R2] - 32-bit float
#*          [R3,R4] - 32-bit float
#*
#* Returns: EQ condition flag set if NaN in use
#*
#* Clobbers: None
#******************************************************************************/
  def __using_nan
  even
__using_nan:
  ci r1, 0x7FC0
  jeq unan_end
  ci r3, 0x7FC0
unan_end:
  b *r11  

